### Method

# GObject TypeClass unref

deprecated: 2.84

#### Declaration [src]

    void
    g_type_class_unref (
      GObjectTypeClass* g_class
    )

#### Description [src]

Decrements the reference count of the class structure being passed in.

Once the last reference count of a class has been released, classes may be finalized by the type system, so further dereferencing of a class pointer after `g_type_class_unref()` are invalid.

Deprecated since: 2.84

Type class reference counting has been removed and type classes now cannot be finalized. This function no longer does anything.